## lokalize 22.12.2

=== debian/changelog ===
lokalize (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:07 -0600

lokalize (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:17 +0000

lokalize (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 11:52:45 +0000

lokalize (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:27 +0000

## lokalize 22.12.3

=== CMakeLists.txt ===
# Lokalize project
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

# search packages used
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Sql)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED I18n TextWidgets KIO XmlGui Notifications Config CoreAddons DocTools Sonnet DBusAddons Crash)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
)

find_package(HUNSPELL)
set_package_properties(
    HUNSPELL PROPERTIES
    DESCRIPTION "Library used for stemming"
    URL         "https://hunspell.github.io/"
    TYPE        REQUIRED 
    PURPOSE     "Required to build Lokalize.")

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(scripts)
add_subdirectory(icons)
#add_subdirectory(strigi-analyzer)

install(FILES org.kde.lokalize.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/tests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION}Test CONFIG REQUIRED)
include(ECMAddTests)

ecm_add_test(projectmodeltest.cpp LINK_LIBRARIES liblokalize Qt::Test)
ecm_add_test(gettextheadertest.cpp LINK_LIBRARIES liblokalize Qt::Test)

=== debian/changelog ===
lokalize (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:05 +0100

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libhunspell-dev,
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5sonnet-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/lokalize
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git

Package: lokalize
Architecture: any
Section: devel
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends},
Recommends: gettext, sonnet-plugins, translate-toolkit (>= 1.3.0),
Suggests: khelpcenter, poxml,
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on productivity
 and quality assurance. It has components usual for CAT tools: translation
 memory, glossary, and also a unique translation merging (synchronization)
 capability. It is primarily targeted at software translation and also
 integrates external conversion tools for office document translation.
 Lokalize is a replacement of KBabel.
 .
 This package is part of the KDE Software Development Kit module.

## lokalize 23.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
lokalize (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:46 +0100

lokalize (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:38 +0000

## lokalize 23.04.3

=== debian/changelog ===
lokalize (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:04 +0100

## lokalize 23.07.90

=== CMakeLists.txt ===
# Lokalize project
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "07")
set (RELEASE_SERVICE_VERSION_MICRO "90")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

# search packages used
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Sql Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED I18n TextWidgets KIO XmlGui Notifications Config CoreAddons DocTools Sonnet DBusAddons Crash)

find_package(HUNSPELL)
set_package_properties(
    HUNSPELL PROPERTIES
    DESCRIPTION "Library used for stemming"
    URL         "https://hunspell.github.io/"
    TYPE        REQUIRED
    PURPOSE     "Required to build Lokalize.")

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(scripts)
add_subdirectory(icons)
add_subdirectory(autotests)

install(FILES org.kde.lokalize.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

include_directories(
    ${CMAKE_SOURCE_DIR}/src/
)

ecm_add_test(
    test_gettextheaderparser.cpp
    test_gettextheaderparser.h
    testresources.qrc
    ${CMAKE_SOURCE_DIR}/src/catalog/gettextheaderparser.cpp
    LINK_LIBRARIES Qt::Core Qt::Test liblokalize
    TEST_NAME test_gettextheaderparser
)

=== debian/changelog ===
lokalize (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:48 +0100

## lokalize 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
lokalize (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:23 +0100

## lokalize 23.08.1

=== debian/changelog ===
lokalize (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:22 +0100

## lokalize 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
lokalize (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:05 +0100

## lokalize 23.08.3

=== debian/changelog ===
lokalize (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:04 +0000

## lokalize 23.08.4

=== debian/changelog ===
lokalize (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:33 +0000

## lokalize 23.08.5

=== src/CMakeLists.txt ===
project(lokalize)

if(NOT WIN32)
    find_package(HUNSPELL REQUIRED)
else()
    find_package(HUNSPELL)
endif()

if(HUNSPELL_FOUND)
    add_definitions(-DHAVE_HUNSPELL)
    include_directories(
    ${HUNSPELL_INCLUDE_DIRS}
    )
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/prefs
    ${CMAKE_CURRENT_SOURCE_DIR}/common
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/gettext
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/xliff
    ${CMAKE_CURRENT_SOURCE_DIR}/catalog/ts
    ${CMAKE_CURRENT_SOURCE_DIR}/cataloglistview
    ${CMAKE_CURRENT_SOURCE_DIR}/project
    ${CMAKE_CURRENT_SOURCE_DIR}/glossary
    ${CMAKE_CURRENT_SOURCE_DIR}/webquery
    ${CMAKE_CURRENT_SOURCE_DIR}/tm
    ${CMAKE_CURRENT_SOURCE_DIR}/filesearch
    ${CMAKE_CURRENT_SOURCE_DIR}/mergemode
    ${CMAKE_CURRENT_SOURCE_DIR}/languagetool
)

configure_file(version.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/version.h)

set(liblokalize_SRCS
    main.cpp
    lokalizemainwindow.cpp
    actionproxy.cpp

    editortab.cpp
    editortab_findreplace.cpp

    editorview.cpp
    xlifftextedit.cpp
    syntaxhighlighter.cpp

    completionstorage.cpp

    phaseswindow.cpp
    noteeditor.cpp
    msgctxtview.cpp

    binunitsview.cpp

    cataloglistview/cataloglistview.cpp
    cataloglistview/catalogmodel.cpp

    common/headerviewmenu.cpp
    common/domroutines.cpp
    common/htmlhelpers.cpp
    common/fastsizehintitemdelegate.cpp
    common/flowlayout.cpp
    common/termlabel.cpp
    common/languagelistmodel.cpp
    common/stemming.cpp
    glossary/glossaryview.cpp
    glossary/glossary.cpp
    glossary/glossarywindow.cpp

    metadata/filemetadata.cpp

    mergemode/mergecatalog.cpp
    mergemode/mergeview.cpp
    alttransview.cpp
    common/diff.cpp
    project/project.cpp
    project/projectmodel.cpp
    project/projectwidget.cpp
    project/projecttab.cpp
    project/updatestatsjob.cpp
    metadata/poextractor.cpp
    metadata/xliffextractor.cpp

    prefs/prefs.cpp

    webquery/webqueryview.cpp
    webquery/webquerycontroller.cpp

    languagetool/languagetoolresultjob.cpp
    languagetool/languagetoolmanager.cpp
    languagetool/languagetoolparser.cpp
    languagetool/languagetoolgrammarerror.cpp

    tools/widgettextcaptureconfig.cpp

    filesearch/filesearchtab.cpp

    tm/tmview.cpp
    tm/tmscanapi.cpp
    tm/jobs.cpp
    tm/dbfilesmodel.cpp
    tm/tmmanager.cpp
    tm/tmtab.cpp
    tm/qaview.cpp
    tm/qamodel.cpp

    catalog/phase.cpp

    catalog/cmd.cpp
    catalog/pos.cpp
    catalog/catalog.cpp
    catalog/catalogstring.cpp
    catalog/gettextheader.cpp
    catalog/gettextheaderparser.cpp
    catalog/gettext/gettextstorage.cpp
    catalog/gettext/catalogitem.cpp
    catalog/gettext/importplugin.cpp
    catalog/gettext/gettextimport.cpp
    catalog/gettext/gettextexport.cpp
    catalog/xliff/xliffstorage.cpp
    catalog/ts/tsstorage.cpp
)

if(WIN32)
    list (APPEND liblokalize_SRCS common/winhelpers.cpp)
else()
    list (APPEND liblokalize_SRCS common/unixhelpers.cpp)
endif()

ecm_qt_declare_logging_category(liblokalize_SRCS
    HEADER lokalize_debug.h
    IDENTIFIER LOKALIZE_LOG
    CATEGORY_NAME org.kde.lokalize
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Lokalize (lokalize)"
    EXPORT LOKALIZE
)

ki18n_wrap_ui(liblokalize_SRCS
    prefs/prefs_identity.ui
    prefs/prefs_general.ui
    prefs/prefs_editor.ui
    prefs/prefs_appearance.ui
    prefs/prefs_tm.ui
    prefs/prefs_pology.ui
    prefs/prefs_languagetool.ui
    project/prefs_project_advanced.ui
    project/prefs_project_local.ui
    project/prefs_projectmain.ui
    glossary/termedit.ui
    filesearch/filesearchoptions.ui
    filesearch/massreplaceoptions.ui
    tm/queryoptions.ui
    tm/managedatabases.ui
    tm/dbparams.ui
    kaider_findextension.ui
    webquery/querycontrol.ui
    tools/widgettextcaptureconfig.ui
)

kconfig_add_kcfg_files(liblokalize_SRCS
    prefs/prefs_lokalize.kcfgc
    project/projectbase.kcfgc
    project/projectlocal.kcfgc
)

qt_add_dbus_adaptor(liblokalize_SRCS org.kde.lokalize.MainWindow.xml
                     lokalizemainwindow.h LokalizeMainWindow)
qt_add_dbus_adaptor(liblokalize_SRCS org.kde.lokalize.Editor.xml
                     editortab.h EditorTab)
qt_add_dbus_adaptor(liblokalize_SRCS filesearch/org.kde.lokalize.FileSearch.xml
                     filesearch/filesearchtab.h FileSearchTab)
qt_add_dbus_adaptor(liblokalize_SRCS tm/org.kde.lokalize.TranslationMemory.xml
                     tm/tmtab.h TM::TMTab)
qt_add_dbus_adaptor(liblokalize_SRCS project/org.kde.lokalize.Project.xml
                     project/project.h Project)
qt_add_dbus_adaptor(liblokalize_SRCS project/org.kde.lokalize.ProjectOverview.xml
                     project/projecttab.h ProjectTab)


### Build intermediate library (will be used by unit tests) ###
add_library(liblokalize STATIC ${liblokalize_SRCS})
target_link_libraries(liblokalize
    KF5::I18n
    KF5::TextWidgets
    KF5::KIOFileWidgets
    KF5::ItemViews
    KF5::Notifications
    KF5::SonnetCore
    KF5::SonnetUi
    KF5::DBusAddons
    KF5::Crash
    Qt::Sql
)
if(HUNSPELL_FOUND)
    target_link_libraries(liblokalize ${HUNSPELL_LIBRARIES})
endif()


### Build Lokalize executable ###
set(lokalize_SRCS main.cpp)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/global/*-apps-lokalize.png")
ecm_add_app_icon(lokalize_SRCS ICONS ${ICONS_SRCS})

add_executable(lokalize ${lokalize_SRCS})
target_link_libraries(lokalize liblokalize)

install(TARGETS lokalize ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.lokalize.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES prefs/lokalize.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES lokalize.notifyrc DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )

ecm_qt_install_logging_categories(
        EXPORT LOKALIZE
        FILE lokalize.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


install( FILES
        editorui.rc
        lokalizemainwindowui.rc
        scriptsui.rc
        project/projectmanagerui.rc
        tm/translationmemoryrui.rc
        filesearch/filesearchtabui.rc
        DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/lokalize )

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
lokalize (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:34 +1100

lokalize (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:43:45 +0000

lokalize (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:25:39 -0700

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with=kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

.PHONY: override_dh_auto_test

## lokalize 24.08.2

=== debian/changelog ===
lokalize (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Wrap and sort control fields.
  * Source-only upload. (Closes: #1085886)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 12:33:13 +0200

lokalize (4:24.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Switch build to declarative dh-sequence-kf6.
  * Bump Standards-Version to 4.7.0, no change required.
  * Build with hardening=+all build hardening flag.
  * Add patch to fix missing include.
  * Switch from transitional pkg-config to pkgconf build dependency.
  * Review copyright information.
  * Split architecture-independent data and documentation into their own
    packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Sep 2024 10:30:46 +0200

=== debian/control ===
Source: lokalize
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libhunspell-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6sonnet-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/lokalize
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git

Package: lokalize
Architecture: any
Section: devel
Depends: libqt5sql5-sqlite,
         lokalize-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gettext, lokalize-doc, sonnet-plugins, translate-toolkit,
Suggests: khelpcenter, poxml,
Description: computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on
 productivity and quality assurance. It is targeted for software
 translation and also integrates external conversion tools for
 freelance office document translation.
 .
 It features project management overview, translation merging
 (synchronization), translation memory, glossary and spell-checking.
 .
 Lokalize is part of the KDE Software Development Kit module.

Package: lokalize-data
Architecture: all
Section: doc
Depends: ${misc:Depends},
Breaks: lokalize (<< 4:24.08.1-1~),
Replaces: lokalize (<< 4:24.08.1-1~),
Description: computer-aided translation system - data files
 Lokalize is a computer-aided translation system that focuses on
 productivity and quality assurance. It is targeted for software
 translation and also integrates external conversion tools for
 freelance office document translation.
 .
 It features project management overview, translation merging
 (synchronization), translation memory, glossary and spell-checking.
 .
 Lokalize is part of the KDE Software Development Kit module.
 .
 This package contains the data files for Lokalize.

Package: lokalize-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Breaks: lokalize (<< 4:24.08.1-1~),
Replaces: lokalize (<< 4:24.08.1-1~),
Description: documentation for Lokalize, computer-aided translation system
 Lokalize is a computer-aided translation system that focuses on
 productivity and quality assurance. It is targeted for software
 translation and also integrates external conversion tools for
 freelance office document translation.
 .
 It features project management overview, translation merging
 (synchronization), translation memory, glossary and spell-checking.
 .
 Lokalize is part of the KDE Software Development Kit module.
 .
 This package contains the documentation for Lokalize.

## lokalize 24.12.0

=== debian/changelog ===
lokalize (4:24.12.0-2ubuntu1) plucky; urgency=medium

  * Mergee from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Dec 2024 04:34:49 +0000

lokalize (4:24.12.0-2) UNRELEASED; urgency=medium

  [ Aurélien COUDERC ]
  * Fix leftover dependency on Qt5 sqlite library.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 Dec 2024 14:11:26 +0100

lokalize (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Drop obsolete patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:59:15 +0100

lokalize (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:23:52 +0000

lokalize (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:31 +0000

lokalize (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 15:18:13 +0000

lokalize (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:17 +0000

lokalize (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lokalize
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libhunspell-dev,
@@ -27,13 +28,13 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/lokalize
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
 
 Package: lokalize
 Architecture: any
 Section: devel
-Depends: libqt5sql5-sqlite,
+Depends: libqt6sql6-sqlite,
          lokalize-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## lokalize 24.12.1

=== debian/changelog ===
lokalize (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:39:43 +0000

## lokalize 24.12.2

=== debian/changelog ===
lokalize (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:20 +0000

## lokalize 24.12.3

=== CMakeLists.txt ===
# Lokalize project
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(lokalize VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.0.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

# search packages used
find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Sql Test)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED I18n TextWidgets KIO XmlGui Notifications Config CoreAddons DocTools Sonnet DBusAddons Crash)

find_package(HUNSPELL)
set_package_properties(
    HUNSPELL PROPERTIES
    DESCRIPTION "Library used for stemming"
    URL         "https://hunspell.github.io/"
    TYPE        REQUIRED
    PURPOSE     "Required to build Lokalize.")

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(scripts)
add_subdirectory(icons)
add_subdirectory(autotests)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(FILES org.kde.lokalize.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
lokalize (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libhunspell-dev,

## lokalize 25.04.0

=== scripts/CMakeLists.txt ===

if(NOT WIN32)
    install( PROGRAMS find-gui-text.sh
             DESTINATION  ${KDE_INSTALL_DATADIR}/lokalize/scripts )
endif()

install( FILES
        msgmerge.py
        msgmerge.rc
        DESTINATION  ${KDE_INSTALL_DATADIR}/lokalize/scripts )
install( FILES
        xliff2odf.py
        xliff2odf.rc
        xliff2odf-standalone.py
        xliffmerge.py
        DESTINATION  ${KDE_INSTALL_DATADIR}/lokalize/scripts/odf )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cataloglistview
     ${CMAKE_CURRENT_SOURCE_DIR}/project
     ${CMAKE_CURRENT_SOURCE_DIR}/glossary
-    ${CMAKE_CURRENT_SOURCE_DIR}/webquery
     ${CMAKE_CURRENT_SOURCE_DIR}/tm
     ${CMAKE_CURRENT_SOURCE_DIR}/filesearch
     ${CMAKE_CURRENT_SOURCE_DIR}/mergemode
@@ -36,6 +35,7 @@
 set(liblokalize_SRCS
     main.cpp
     lokalizemainwindow.cpp
+    lokalizetabpagebase.cpp
     actionproxy.cpp
 
     editortab.cpp
@@ -83,9 +83,6 @@
     metadata/xliffextractor.cpp
 
     prefs/prefs.cpp
-
-    webquery/webqueryview.cpp
-    webquery/webquerycontroller.cpp
 
     languagetool/languagetoolresultjob.cpp
     languagetool/languagetoolmanager.cpp
@@ -120,6 +117,86 @@
     catalog/gettext/gettextexport.cpp
     catalog/xliff/xliffstorage.cpp
     catalog/ts/tsstorage.cpp
+
+    lokalizemainwindow.h
+    actionproxy.h
+
+    editortab.h
+
+    editorview.h
+    xlifftextedit.h
+    syntaxhighlighter.h
+
+    completionstorage.h
+
+    phaseswindow.h
+    noteeditor.h
+    msgctxtview.h
+
+    binunitsview.h
+
+    cataloglistview/cataloglistview.h
+    cataloglistview/catalogmodel.h
+
+    common/headerviewmenu.h
+    common/domroutines.h
+    common/fastsizehintitemdelegate.h
+    common/flowlayout.h
+    common/termlabel.h
+    common/languagelistmodel.h
+    common/stemming.h
+    glossary/glossaryview.h
+    glossary/glossary.h
+    glossary/glossarywindow.h
+
+    metadata/filemetadata.h
+
+    mergemode/mergecatalog.h
+    mergemode/mergeview.h
+    alttransview.h
+    common/diff.h
+    project/project.h
+    project/projectmodel.h
+    project/projectwidget.h
+    project/projecttab.h
+    project/updatestatsjob.h
+    metadata/poextractor.h
+    metadata/xliffextractor.h
+
+    prefs/prefs.h
+
+    languagetool/languagetoolresultjob.h
+    languagetool/languagetoolmanager.h
+    languagetool/languagetoolparser.h
+    languagetool/languagetoolgrammarerror.h
+
+    tools/widgettextcaptureconfig.h
+
+    filesearch/filesearchtab.h
+
+    tm/tmview.h
+    tm/tmscanapi.h
+    tm/jobs.h
+    tm/dbfilesmodel.h
+    tm/tmmanager.h
+    tm/tmtab.h
+    tm/qaview.h
+    tm/qamodel.h
+
+    catalog/phase.h
+
+    catalog/cmd.h
+    catalog/pos.h
+    catalog/catalog.h
+    catalog/catalogstring.h
+    catalog/gettextheader.h
+    catalog/gettextheaderparser.h
+    catalog/gettext/gettextstorage.h
+    catalog/gettext/catalogitem.h
+    catalog/gettext/gettextimport.h
+    catalog/gettext/gettextexport.h
+    catalog/xliff/xliffstorage.h
+    catalog/ts/tsstorage.h
 )
 
 if(WIN32)
@@ -155,7 +232,6 @@
     tm/managedatabases.ui
     tm/dbparams.ui
     kaider_findextension.ui
-    webquery/querycontrol.ui
     tools/widgettextcaptureconfig.ui
 )
 
@@ -182,15 +258,18 @@
 ### Build intermediate library (will be used by unit tests) ###
 add_library(liblokalize STATIC ${liblokalize_SRCS})
 target_link_libraries(liblokalize
-    KF5::I18n
-    KF5::TextWidgets
-    KF5::KIOFileWidgets
-    KF5::ItemViews
-    KF5::Notifications
-    KF5::SonnetCore
-    KF5::SonnetUi
-    KF5::DBusAddons
-    KF5::Crash
+    KF6::I18n
+    KF6::TextWidgets
+    KF6::KIOFileWidgets
+    KF6::ItemViews
+    KF6::Notifications
+    KF6::SonnetCore
+    KF6::SonnetUi
+    KF6::DBusAddons
+    KF6::Crash
+    KF6::XmlGui
+    KF6::IconThemes
+    KF6::ConfigWidgets
     Qt::Sql
 )
 if(HUNSPELL_FOUND)
@@ -199,7 +278,11 @@
 
 
 ### Build Lokalize executable ###
-set(lokalize_SRCS main.cpp)
+set(lokalize_SRCS
+    main.cpp
+
+    lokalize.qrc
+)
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/global/*-apps-lokalize.png")
 ecm_add_app_icon(lokalize_SRCS ICONS ${ICONS_SRCS})
@@ -222,16 +305,6 @@
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
         )
 
-
-install( FILES
-        editorui.rc
-        lokalizemainwindowui.rc
-        scriptsui.rc
-        project/projectmanagerui.rc
-        tm/translationmemoryrui.rc
-        filesearch/filesearchtabui.rc
-        DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/lokalize )
-
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()

=== debian/changelog ===
lokalize (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:34 +0200

lokalize (4:24.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix leftover dependency on Qt5 sqlite library.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Jan 2025 10:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: lokalize
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libhunspell-dev,
@@ -18,6 +16,7 @@
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6notifications-dev (>= 6.0.0~),
                libkf6sonnet-dev (>= 6.0.0~),
@@ -25,11 +24,11 @@
                libkf6xmlgui-dev (>= 6.0.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/lokalize
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lokalize
+Homepage: https://apps.kde.org/lokalize/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lokalize
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lokalize.git
 
 Package: lokalize
 Architecture: any

## lokalize 25.04.1

=== debian/changelog ===
lokalize (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:43 +0100

lokalize (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6iconthemes-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:02:55 +0100

## lokalize 25.04.2

=== debian/changelog ===
lokalize (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:00:45 +0100

## lokalize 25.04.3

=== debian/changelog ===
lokalize (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:38 +0100

## lokalize 25.07.80

=== debian/changelog ===
lokalize (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:25:36 +0100

## lokalize 25.07.90

=== debian/changelog ===
lokalize (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:25 +0100

## lokalize 25.08.0

=== debian/changelog ===
lokalize (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:18 +0100
